Bug 1651312 - No default network in libvirt when following RHEL8 docs
Summary: No default network in libvirt when following RHEL8 docs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: virt-rhel-module
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Danilo Cesar Lemes de Paula
QA Contact: yalzhang@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1655787
TreeView+ depends on / blocked
 
Reported: 2018-11-19 16:28 UTC by Tom Sorensen
Modified: 2019-06-14 01:11 UTC (History)
11 users (show)

Fixed In Version: module-virt-rhel-820181206140226-9edba152
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1655787 (view as bug list)
Environment:
Last Closed: 2019-06-14 01:11:51 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Tom Sorensen 2018-11-19 16:28:09 UTC
Description of problem:
Dependancy or docs problem -- "yum module install virt" does not install libvirt-daemon-config-network (or -nwfilter). The former, at least, is required for cockpit-machines to provision a network if you do nothing to provide a default network.


Version-Release number of selected component (if applicable):
20181017141223

How reproducible:
Always

Steps to Reproduce:
1. yum module install virt
2. virt-host-validate
3. yum install cockpit libvirt-dbus cockpit-machines
4. go to server:9090, login, try to create new VM

Actual results:
Error that default network does not exist

Expected results:
New VM should be provisioned

Additional info:
Understand that this may be optional for some setups; but should be clear in the docs then that you either need to install the package or create the network from the CLI. Or add functionality to cockpit to do so.

Comment 4 Jeff Nelson 2018-11-28 21:29:05 UTC
Please add libvirt-daemon-config-network to the default profile of the virt:rhel stream. Based on comment 3, we do not need to clone this for any other stream.

Comment 5 Danilo Cesar Lemes de Paula 2018-11-29 12:19:32 UTC
Patch is done, but I can't push it.
We need QA and PM approval for this BZ.

Comment 6 Danilo Cesar Lemes de Paula 2018-11-29 12:20:44 UTC
Can QA grant QA_ACK+, please?

PM_ACK should be granted automatically

Comment 7 Karen Noel 2018-12-02 12:32:13 UTC
(In reply to Jeff Nelson from comment #4)
> Please add libvirt-daemon-config-network to the default profile of the
> virt:rhel stream. Based on comment 3, we do not need to clone this for any
> other stream.

I think we do. Cockpit uses virt-install. And we need the list of packages in the Virt module to remain the same for easier inheritance later on.

Comment 8 Danilo Cesar Lemes de Paula 2018-12-03 16:35:07 UTC
Can you grant QA_ACK+, please?

Comment 10 Danilo Cesar Lemes de Paula 2018-12-07 15:59:43 UTC
Fixed in module-virt-rhel-820181206140226-9edba152

Comment 12 yalzhang@redhat.com 2018-12-11 02:27:08 UTC
Refer to https://bugzilla.redhat.com/show_bug.cgi?id=1655787#c4, mark this bug as verified.


Note You need to log in before you can comment on or make changes to this bug.